Skip to content

PropertyRadar API (5.0.0.0)

PropertyRadar Public API

Download OpenAPI description
Languages
Servers
https://api.propertyradar.com

Properties

Find owners, properties, parcels and documents

Operations

Persons

View and Export owners, including trusts & business entities

Find and purchase phones and emails and get details on property owners, called "Contacts" in the app.

Operations

Lists

About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists

PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.

Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.

Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.

Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.

Operations

Suggestions

Get typeahead menus

Operations

Integrations

Connect PropertyRadar to your sales, marketing, and productivity apps

Operations

Imports

Import and match properties and people

Operations

Automations

Configure Alerts and Automations

Operations

Accounts

Account info and preferences

Operations

Documents

Get and edit documents that make up the transaction history for a property

Operations

Document details

Request

Get a specific document by DocumentID. Returns document metadata including recording details, parties, and document type.Examples:

  • GRT Cash Transaction d567867140
  • GRT w/ Down Payment d654160296
Click here for fieldsets

All

RadarID DocumentID Status DocType DocNumber RecDate CountyST Grantor GrantorType Grantee GranteeType Amount TitleCo DocImage AssociatedProperties TransferType DownPayment DownPaymentPercent isCashTransaction isFullValue isArmsLength wasListed LoanPurpose LoanType LoanPosition LoanPositionNum LoanStatus Concurrent CashOut LTV Term Lender Assigned AssignmentDate LenderCurrent Rate RateType ARMIndex ARMMargin ARMFreq ARMInitial ARMNext ARMPrepay ARMPrepayDate ARMIntOnly ARMPayOption ARMNegAm LienFilingDate LienRate LienStatus PersonLienStatus LienPosition LienPositionNum LienContractDate LienType LienCourtCaseNumber LienNumber ParentDocumentID ForeclosureStage TrusteeSaleNum DefaultAmount DefaultAsOf SaleDate SaleTime SalePlace PostReason PreviousSaleDate OriginalSaleDate SaleAmount OpeningBid WinningBid ForeclosingLender LenderAddress LenderCityStZip LenderPhone Trustee TrusteeAddress TrusteeCityStZip TrusteePhone BookNumber PageNumber Attorney AttorneyPhone CaseNumber LisPendensType PublishedBidDiscountToAVMPercent OpeningBidDiscountToAVMPercent OpeningBidDiscountToPubBidPercent WinningBidDiscountToAVMPercent WinningBidDiscountToPubBidPercent

Security
api_key_bearer
Path
DocumentIDstringrequired

Unique identifier for a document (or notice, or user-created document)

Examples:
d654159205
n502122396
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Default "All"
Items Enum"All""RadarID""DocumentID""Status""DocType""DocNumber""RecDate""CountyST""Grantor""GrantorType"
RadarIDstring

Unique ID for locating properties within PropertyRadar.

Examples:
RadarID=P8A0E18D
RadarID=P16926CB
DryRuninteger

Determines whether the altered data is saved to the database. If DryRun=1, then the submitted data and is not saved in the database, service returns results with some information. If DryRun=0, the submitted data is saved to the database.

Default 0
Enum"0""1"
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/documents/d654159205?Fields=All&RadarID=P8A0E18D&DryRun=0&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ {} ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }